<template>
    <v-row>
        <v-col>
            <v-text-field v-model="start_date" label="Начальная дата" type="date"></v-text-field>
        </v-col>

        <v-col>
            <v-text-field v-model="end_date" label="Конечная дата" type="date"></v-text-field>
        </v-col>

        <v-col>
            <v-select v-model="is_realtime" :items="is_realtime_options" item-title="label" item-value="value"
                label="Зарегистрировано в реальном времени"></v-select>
        </v-col>
        <v-col>
            <v-btn color="blue" size="large" block :disabled="isLoading" @click="submit">Поиск</v-btn>
        </v-col>
    </v-row>
</template>

<script>
import { useTimeslotsStore } from '@/store/timeslots';
import { mapActions, mapState } from 'pinia';

export default {
    data() {
        return {
            is_realtime_options: [
                { value: null, label: 'не указано' },
                { value: true, label: 'да' },
                { value: false, label: 'нет' },
            ]
        }
    },
    methods: {
        ...mapActions(useTimeslotsStore, ['setFilters']),
        submit() {
            this.$emit('submit');
        }
    },
    computed: {
        ...mapState(useTimeslotsStore, ['filters', 'isLoading']),
        start_date: {
            get() {
                return this.filters.start_date;
            },
            set(value) {
                this.setFilters('start_date', value);
            }
        },
        end_date: {
            get() {
                return this.filters.end_date;
            },
            set(value) {
                this.setFilters('end_date', value);
            }
        },
        is_realtime: {
            get() {
                return this.filters.is_realtime;
            },
            set(value) {
                this.setFilters('is_realtime', value);
            }
        },
    }
};
</script>